SortAttribute.Custom
Keywords: net.corda.core.node.services.vault.SortAttribute.Custom class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class SortAttribute.Custom

- net.corda.core.node.services.vault.SortAttribute
- - net.corda.core.node.services.vault.SortAttribute.Custom

- Enclosing class:
    SortAttribute

      public static class SortAttribute.Custom
      extends SortAttribute

  entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)

- - ### Constructor Detail

    - #### Custom

          public Custom(@NotNull
                        java.lang.Class<? extends net.corda.core.schemas.StatePersistable> entityStateClass,
                        @NotNull
                        java.lang.String entityStateColumnName)

      entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)

  - ### Method Detail

    - #### getEntityStateClass

          @NotNull
          public java.lang.Class<? extends net.corda.core.schemas.StatePersistable> getEntityStateClass()

    - #### getEntityStateColumnName

          @NotNull
          public java.lang.String getEntityStateColumnName()

    - #### component1

          @NotNull
          public java.lang.Class<? extends net.corda.core.schemas.StatePersistable> component1()

    - #### component2

          @NotNull
          public java.lang.String component2()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.SortAttribute.Custom copy(@NotNull
                                                                                       java.lang.Class<? extends net.corda.core.schemas.StatePersistable> entityStateClass,
                                                                                       @NotNull
                                                                                       java.lang.String entityStateColumnName)

      entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)

    - #### toString

          @NotNull
          public java.lang.String toString()

      entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)

    - #### hashCode

          public int hashCode()

      entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      entityStateClass should reference a persistent state entity entityStateColumnName should reference an entity attribute name as defined by the associated mapped schema (for example, CashSchemaV1.PersistentCashState::currency.name)